Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::unique_fn Struct Reference
Inheritance diagram for ranges::views::unique_fn:

## Synopsis of methods
constexpr view_closure< unique_fn > | unique {}

## Public Member Functions
template<typename C >
constexpr auto | operator() (C &&pred) const
Public Member Functions inherited from ranges::views::unique_base_fn
template<typename Rng , typename C = equal_to>
constexpr adjacent_filter_view< all_t< Rng >, logical_negate< C > > | operator() (Rng &&rng, C pred={}) const

## Member Function Documentation

## ◆ operator()()

template<typename C >

constexpr auto ranges::views::unique_fn::operator() | ( | C && | pred | ) | const
| constexpr

Precondition
  requires `(!range<C>)`